.-flex {
  display: flex;
  align-items: center;

  &-none { flex: none; }

  &--grow { flex-grow: 1; }

  &-column {
    display: flex;
    flex-direction: column;
  }
}

.-inline-flex {
  display: inline-flex;
  align-items: center;

  &-column {
    display: inline-flex;
    flex-direction: column;
  }
}

.-align-self-end { align-self: end; }
.-align-self-start { align-self: start; }

.-align-items-start { align-items: start; }
.-align-items-end { align-items: end; }
.-align-items-baseline { align-items: baseline; }

.-justify-content-start { justify-content: start; }
.-justify-content-center { justify-content: center; }
.-justify-content-end { justify-content: end; }
.-justify-content-right { justify-content: right; }
.-justify-content-left { justify-content: left; }

.-gap { gap: var(--spacer-default); }
